#
# spec file for package ode
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

%define so_ver 3

Name:           ode
Summary:        Open Dynamics Engine
License:        LGPL-2.1+ or BSD-3-Clause
Group:          System/Libraries
Version:        0.12
Release:        0
Url:            http://www.ode.org/
Source0:        http://downloads.sourceforge.net/opende/%{name}-%{version}.tar.bz2
BuildRequires:  gcc-c++
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(glu)
BuildRequires:  pkgconfig(x11)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
ODE is a free, industrial quality library for simulating articulated
rigid body dynamics - for example ground vehicles, legged creatures,
and moving objects in VR environments. It is fast, flexible, robust
and platform independent, with advanced joints, contact with friction,
and built-in collision detection.

%package devel
Summary:        Development Files for ODE
Group:          Development/Libraries/C and C++
Requires:       libode%{so_ver} = %{version}

%description devel
This package provides development libraries and headers needed to build
software using ODE.

%package -n libode%{so_ver}
Summary:        Open Dynamics Engine
Group:          System/Libraries

%description -n libode%{so_ver}
ODE is a free, industrial quality library for simulating articulated
rigid body dynamics - for example ground vehicles, legged creatures,
and moving objects in VR environments. It is fast, flexible, robust
and platform independent, with advanced joints, contact with friction,
and built-in collision detection.

%prep
%setup -q

%build
%configure \
 --enable-shared \
 --disable-static \
 --disable-demos

make %{?_smp_mflags}

%install
%make_install

# Remove unneeded files
rm -f %{buildroot}%{_libdir}/*.la

%post -n libode%{so_ver} -p /sbin/ldconfig

%postun -n libode%{so_ver} -p /sbin/ldconfig

%files devel
%defattr(-,root,root,-)
%doc CHANGELOG.txt LICENSE.TXT README.txt
%{_bindir}/ode-config
%{_includedir}/ode/
%{_libdir}/pkgconfig/ode.pc
%{_libdir}/libode.so

%files -n libode%{so_ver}
%defattr(-,root,root,-)
%{_libdir}/libode.so.3*

%changelog
